package com.brilliance.isc.common.rmbbop.vo;

import com.brilliance.isc.common.rmbbop.common.AbstractRmb;
import com.brilliance.isc.common.rmbbop.model.Tdmgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Rmb2107 extends AbstractRmb {
    private Tdmgrp recgrp;

    @Override
    public String getObjtyp() {
        return "TDM";
    }

    @Override
    public void clear() {
        super.clear();
        recgrp = new Tdmgrp();
        recgrp.reset();
    }

    @Override
    public void reset() {
        super.reset();
        if (recgrp == null) {
            recgrp = new Tdmgrp();
        }
        recgrp.reset();
    }
}
